Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class SwingEnumEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEnumEditor

public class SwingEnumEditor
extends SwingEditorSupport
implements ActionListener

Represents editor for enumeration properties as a JComboBox.

Author:
  TogetherSoft

Field Summary
`JComboBox` | `combobox`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`SwingEnumEditor()` Does not produce any initializations.

Method Summary
`void` | `actionPerformed(ActionEvent actionevent)` Invoked when an action occurs.
`void` | `init(IdeInspectorProperty property)` Specifies IdeInspectorProperty to be edited.
`void` | `setValue(Object obj)` Specifies value (member) of enumeration which will be selected in ComboBox.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`getValue, isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### combobox

    public JComboBox combobox

Constructor Detail

### SwingEnumEditor

    public SwingEnumEditor()

  Does not produce any initializations.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent actionevent)

  Invoked when an action occurs.

### init

    public void init(IdeInspectorProperty property)

  Specifies IdeInspectorProperty to be edited.
  Parameters:
    property - IdeInspectorProperty to be edited

### setValue

    public void setValue(Object obj)

  Specifies value (member) of enumeration which will be selected in ComboBox. If there is no such value than does nothing.
  Parameters:
    obj - Value to be set.

Association Links

to Class javax.swing.JComboBox

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD